%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Visual diff and merge tool
Name:		meld
Version:	3.20.1
%define subrel	2
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
URL:		http://meldmerge.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	itstool
BuildRequires:	pkgconfig(python3)
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	libxml2-utils
Requires:	typelib(GtkSource) = 3.0
Requires:	python3-gobject3
Requires:	python3-cairo
Requires:	patch
BuildArch:	noarch

%description
Meld is a visual diff and merge tool targeted at developers. It helps you
compare files, directories, and version controlled projects. It provides two-
and three-way comparison of both files and directories, and the tabbed interface
allows you to open many diffs at once.
Meld has has support for many popular version control systems including Git,
Mercurial, Bazaar, SVN and CVS. The diff viewer lets you edit files in place
(diffs update dynamically), and a middle column shows detailed changes and
allows merges. The margins show location of changes for easy navigation.


%prep
%setup -q
%autopatch -p1

%build
%py3_build

%install
%{__python3} setup.py --no-update-icon-cache --no-compile-schemas install --root %{buildroot}

%find_lang %{name} --with-gnome

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GTK"\
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*

rm -rf %{buildroot}%{_datadir}/doc/%{name}-%{version}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*
%{_iconsdir}/*/*/*/
%{_datadir}/mime/packages/org.gnome.%{name}.xml
%{_datadir}/metainfo/org.gnome.%{name}.appdata.xml
%{python3_sitelib}/%{name}/*
%{python3_sitelib}/%{name}-*-info
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_mandir}/man?/meld.?.*


%changelog
* Thu Jan 28 2021 luigiwalser <luigiwalser> 3.20.1-1.2.mga7
+ Revision: 1673880
+ rebuild (emptylog)

* Thu Jan 28 2021 wally <wally> 3.20.1-1.1.mga7
+ Revision: 1673860
- add missing requires for python3-cairo (mga#28235)

* Sat Mar 30 2019 ovitters <ovitters> 3.20.1-1.mga7
+ Revision: 1382599
- new version 3.20.1

* Mon Jan 07 2019 wally <wally> 3.20.0-2.mga7
+ Revision: 1350571
- rebuild for python3.7

* Sun Jan 06 2019 ovitters <ovitters> 3.20.0-1.mga7
+ Revision: 1349990
- new version 3.20.0

* Wed Nov 21 2018 ovitters <ovitters> 3.19.1-1.mga7
+ Revision: 1332603
- new version 3.19.1

* Thu Sep 20 2018 umeabot <umeabot> 3.19.0-2.mga7
+ Revision: 1279505
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 daviddavid <daviddavid> 3.19.0-1.mga7
+ Revision: 1256767
- new version: 3.19.0

* Tue Jun 19 2018 ovitters <ovitters> 3.18.2-1.mga7
+ Revision: 1238066
- new version 3.18.2

* Sun Apr 29 2018 ovitters <ovitters> 3.18.1-1.mga7
+ Revision: 1223241
- new version 3.18.1

* Sat Sep 09 2017 ovitters <ovitters> 3.18.0-1.mga7
+ Revision: 1152282
- new version 3.18.0

* Fri Aug 25 2017 wally <wally> 3.17.4-2.mga7
+ Revision: 1147820
- fix python3 requires

* Wed Aug 23 2017 ovitters <ovitters> 3.17.4-1.mga7
+ Revision: 1143605
- use Python3
- new version 3.17.4

* Sun Dec 18 2016 daviddavid <daviddavid> 3.16.4-2.mga6
+ Revision: 1075876
- rebuild due to broken BS upload

* Sat Dec 17 2016 ovitters <ovitters> 3.16.4-1.mga6
+ Revision: 1075822
- new version 3.16.4

* Sun Sep 25 2016 ovitters <ovitters> 3.16.3-1.mga6
+ Revision: 1056192
- new version 3.16.3

* Sat Jul 30 2016 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 1043994
- new version 3.16.2

* Sat Apr 30 2016 ovitters <ovitters> 3.16.0-1.mga6
+ Revision: 1008361
- new version 3.16.0

* Tue Apr 19 2016 ovitters <ovitters> 3.15.3-1.mga6
+ Revision: 1003643
- new version 3.15.3

* Sun Mar 27 2016 ovitters <ovitters> 3.15.2-1.mga6
+ Revision: 995815
- new version 3.15.2

* Mon Dec 14 2015 ovitters <ovitters> 3.15.1-1.mga6
+ Revision: 910492
- new version 3.15.1

* Sun Oct 11 2015 philippem <philippem> 3.15.0-1.mga6
+ Revision: 889637
- update to 3.15.0

* Thu Oct 08 2015 ovitters <ovitters> 3.14.1-1.mga6
+ Revision: 887920
- new version 3.14.1

* Wed Jul 22 2015 ovitters <ovitters> 3.14.0-1.mga6
+ Revision: 856204
- new version 3.14.0

* Sun Jul 12 2015 ovitters <ovitters> 3.13.3-1.mga6
+ Revision: 853362
- new version 3.13.3

* Fri Jul 03 2015 ovitters <ovitters> 3.13.2-1.mga6
+ Revision: 849783
- new version 3.13.2

* Sun Jun 21 2015 ovitters <ovitters> 3.13.1-1.mga6
+ Revision: 838466
- new version 3.13.1

* Sun Jan 11 2015 wally <wally> 3.12.3-1.mga5
+ Revision: 809843
- new version 3.12.3 (mga#15005)

* Sun Oct 26 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 793473
- new version 3.12.1

* Wed Oct 15 2014 umeabot <umeabot> 3.12.0-2.mga5
+ Revision: 750779
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 wally <wally> 3.12.0-1.mga5
+ Revision: 731620
- new version 3.12.0
- drop unneeded gobject-introspection-devel BR as gi-find-deps.sh was moved to rpm-mageia-setup

* Sat Sep 27 2014 tv <tv> 3.11.3-3.mga5
+ Revision: 727228
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.11.3-2.mga5
+ Revision: 682350
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sat Aug 23 2014 ovitters <ovitters> 3.11.3-1.mga5
+ Revision: 666575
- new version 3.11.3

* Fri Aug 15 2014 wally <wally> 3.11.2-2.mga5
+ Revision: 662764
- require python-gi-cairo

* Sat Jul 12 2014 ovitters <ovitters> 3.11.2-1.mga5
+ Revision: 651405
- new version 3.11.2

* Sat May 31 2014 pterjan <pterjan> 3.11.1-2.mga5
+ Revision: 628325
- Rebuild for new Python

* Fri May 30 2014 fwang <fwang> 3.11.1-1.mga5
+ Revision: 627893
- update file list
- update file list
- update file list
- update dir
- update args
- fix option
- do not update icon cache
+ ovitters <ovitters>
- new version 3.11.1

* Mon Apr 14 2014 blino <blino> 3.11.0-5.mga5
+ Revision: 613991
- fix running with Gtk 3.12 and with "non-ascii" locale (from git)

* Sun Mar 02 2014 wally <wally> 3.11.0-4.mga5
+ Revision: 598572
- drop more unneeded requires
- explicitly require gtk3 version of typelib(GtkSource)

* Sun Mar 02 2014 wally <wally> 3.11.0-3.mga5
+ Revision: 598566
- drop unneeded requires

* Sun Mar 02 2014 joequant <joequant> 3.11.0-2.mga5
+ Revision: 598557
- fix requires for meld

* Thu Feb 27 2014 ovitters <ovitters> 3.11.0-1.mga5
+ Revision: 597624
- new version 3.11.0

* Tue Feb 04 2014 dams <dams> 1.8.4-1.mga5
+ Revision: 580946
- new version 1.8.4

* Wed Nov 20 2013 philippem <philippem> 1.8.2-1.mga4
+ Revision: 552032
- New upstream release: Meld 1.8.2 - fix description, summary and url

* Sat Oct 19 2013 umeabot <umeabot> 1.8.1-2.mga4
+ Revision: 536067
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 ovitters <ovitters> 1.8.1-1.mga4
+ Revision: 483105
- new version 1.8.1

* Sun Sep 15 2013 ovitters <ovitters> 1.8.0-1.mga4
+ Revision: 479011
- new version 1.8.0

* Sun Sep 01 2013 ovitters <ovitters> 1.7.5-1.mga4
+ Revision: 473789
- new version 1.7.5

* Sun Jul 28 2013 ovitters <ovitters> 1.7.4-1.mga4
+ Revision: 459174
- new version 1.7.4

* Mon Jun 03 2013 ovitters <ovitters> 1.7.3-1.mga4
+ Revision: 436768
- new version 1.7.3

* Sun May 26 2013 blino <blino> 1.7.2-1.mga4
+ Revision: 428268
- package new icon and mime file
- 1.7.2

* Sat Jan 12 2013 umeabot <umeabot> 1.6.1-2.mga3
+ Revision: 359937
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 ovitters <ovitters> 1.6.1-1.mga3
+ Revision: 308565
- new version 1.6.1

* Sat Apr 28 2012 ovitters <ovitters> 1.6.0-1.mga3
+ Revision: 233576
- new version 1.6.0
- new version 1.5.4
- clean spec

* Fri Jan 27 2012 fwang <fwang> 1.5.3-1.mga2
+ Revision: 202236
- update file list
- nwe version 1.5.3
- new version 1.5.2

* Sat Jun 25 2011 wally <wally> 1.5.1-1.mga2
+ Revision: 113672
- fix summary and description
- new version 1.5.1
- require python-gtksourceview
- clean .spec a bit

* Sat Mar 05 2011 mikala <mikala> 1.4.0-1.mga1
+ Revision: 65099
- Drop buildroot
- Remove %%mdk macros
- imported package meld


* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 581478
- update to new version 1.4.0

* Wed Sep 08 2010 Götz Waschk <waschk@mandriva.org> 1.3.3-1mdv2011.0
+ Revision: 576783
- new version
- update file list

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1.3.2-1mdv2011.0
+ Revision: 550671
- new version
- drop patch
- update file list

* Fri Aug 14 2009 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 416272
- new version
- drop patch 1
- remove extra icons
- update file list

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 1.3.0-2mdv2010.0
+ Revision: 415283
- fix opening files (bug #52805)

* Sun May 17 2009 trem <trem@mandriva.org> 1.3.0-1mdv2010.0
+ Revision: 376600
- update to 1.3.0

* Sun Nov 23 2008 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 306055
- new version 1.2.1

* Fri Jun 27 2008 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2009.0
+ Revision: 229484
- new version
- patch to fix installation
- update license
- update file list

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 11 2008 Götz Waschk <waschk@mandriva.org> 1.1.5.1-3mdv2009.0
+ Revision: 218037
- depend on patch, trying to fix bug #40166 (blino)

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.1.5.1-2mdv2008.1
+ Revision: 170979
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jun 13 2007 Götz Waschk <waschk@mandriva.org> 1.1.5.1-1mdv2008.0
+ Revision: 38517
- new version

* Mon Jun 11 2007 Funda Wang <fwang@mandriva.org> 1.1.5-1mdv2008.0
+ Revision: 37987
- fix file list
- New version


* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-3mdv2007.0
- fix buildrequires

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-2mdv2007.0
- xdg menu

* Sun Jun 11 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdk
- New release 1.1.4

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdk
- handle scrollkeeper stuff
- New release 1.1.3
- use mkrel

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdk
- New release 1.1.2

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdk
- drop patch
- New release 1.1.1

* Tue Jul 19 2005 Götz Waschk <waschk@mandriva.org> 1.0.0-3mdk
- fix paths

* Thu Jul 14 2005 Götz Waschk <waschk@mandriva.org> 1.0.0-2mdk
- fix the French translation

* Sun Jul 03 2005 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdk
- drop the patch
- New release 1.0.0

* Sun Jun 12 2005 Götz Waschk <waschk@mandriva.org> 0.9.6-2mdk
- fix locale directory

* Thu May 19 2005 Götz Waschk <waschk@mandriva.org> 0.9.6-1mdk
- drop merged patch
- New release 0.9.6

* Tue Apr 26 2005 Götz Waschk <waschk@mandriva.org> 0.9.5-5mdk
- fix deps

* Tue Feb 15 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.5-4mdk
- fix buildrequires

* Mon Feb 07 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.5-3mdk
- fix buildrequires

* Sun Feb 06 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.5-2mdk
- remove directory from the mime types, fixes problem with nautilus

* Mon Jan 03 2005 Austin Acton <austin@mandrake.org> 0.9.5-1mdk
- 0.9.5
- move to author's installation routine and wrapper
- move app dir from /usr/lib to /usr/share (keep lint happy)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.4.1-2mdk
- Fix menu

* Sat Jul 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.4.1-1mdk
- New release 0.9.4.1

* Thu Jul 15 2004 Austin Acton <austin@mandrkae.org> 0.9.4-1mdk
- 0.9.4

* Tue May 25 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- add source URL
- New release 0.9.3

* Sun Apr 18 2004 Austin Acton <austin@mandrake.org> 0.9.2.1-3mdk
- the moron tries again

* Wed Mar 24 2004 Austin Acton <austin@mandrake.org> 0.9.2.1-2mdk
- pass whole command line to execuable (bug 9212)

* Tue Feb 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.2.1-1mdk
- fix menu section
- new version

* Thu Feb 12 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- move to /use/share
- fix permissions
- new version

* Mon Nov 24 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- new version

* Mon Oct 13 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- don't compress icons
- new version

* Mon Sep 01 2003 Austin Acton <aacton@yorku.ca> 0.8.5-1mdk
- 0.8.5

* Tue Aug 26 2003 Austin Acton <aacton@yorku.ca> 0.8.4-1mdk
- steal some ideas from Maxim's spec
- initial Mandrake package

